# XMLReader::readInnerXml

(PHP 5 >= 5.2.0, PHP 7)

XMLReader::readInnerXml — Retrieve XML from current node

### Description

public XMLReader::readInnerXml ( void ) : string

Reads the contents of the current node, including child nodes and markup.

### Parameters

This function has no parameters.

### Return Values

Returns the contents of the current node as a string. Empty string on failure.

### Notes

Caution

This function is only available when PHP is compiled against libxml 20620 or later.

### See Also

- XMLReader::readString() - Reads the contents of the current node as a string
- XMLReader::readOuterXml() - Retrieve XML from current node, including itself
- XMLReader::expand() - Returns a copy of the current node as a DOM object